org.apache.commons.math3.util

## Class FastMath.lnMant

- java.lang.Object
- - org.apache.commons.math3.util.FastMath.lnMant

- Enclosing class:
    FastMath

      private static class FastMath.lnMant
      extends java.lang.Object

  Enclose large data table in nested static class so it's only loaded on first access.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static double[][]` | `LN_MANT` Extended precision logarithm table over the range 1 - 2 in increments of 2^-10.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `FastMath.lnMant()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LN_MANT

          private static final double[][] LN_MANT

      Extended precision logarithm table over the range 1 - 2 in increments of 2^-10.

  - ### Constructor Detail

    - #### FastMath.lnMant

          private FastMath.lnMant()

Copyright (c) 2003-2013 Apache Software Foundation